com.beaglebuddy.id3.enums

## Enum PictureType

- java.lang.Object
- - java.lang.Enum<PictureType>
  - - com.beaglebuddy.id3.enums.PictureType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PictureType>

      public enum PictureType
      extends java.lang.Enum<PictureType>

  valid ID3v2.x picture types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTIST` Artist/performer
    `BACK_COVER` CD Cover (back)
    `BAND` Band/Orchestra
    `BAND_LOGO` Band/artist logotype
    `COMPOSER` Composer
    `CONDUCTOR` Conductor
    `DURING_PERFORMANCE` During performance
    `DURING_RECORDING` During recording
    `FRONT_COVER` CD Cover (front)
    `ILLUSTRATION` Illustration
    `INVALID` A bright coloured fish
    `LEAD_ARTIST` Lead artist/lead performer/soloist
    `LEAFLET_PAGE` CD leaflet page
    `LYRICIST` Lyricist/text writer
    `MEDIA` Media (eg lable side of CD)
    `OTHER` Other
    `OTHER_ICON` Other file icon
    `PUBLISHER_LOGO` Publisher/Studio logotype
    `RECORDING_LOCATION` Recording Location
    `SCREEN_CAPTURE` Movie/video screen capture
    `SMALL_ICON` 32x32 pixels 'file icon' (PNG only)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` gets the description of the picture type.
    `java.lang.String` | `toString()` gets a string representation of the picture type enum.
    `static PictureType` | `valueOf(byte pictureType)` converts an integral value to its corresponding picture type enum.
    `static PictureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PictureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final PictureType OTHER

      Other

    - #### SMALL_ICON

          public static final PictureType SMALL_ICON

      32x32 pixels 'file icon' (PNG only)

    - #### OTHER_ICON

          public static final PictureType OTHER_ICON

      Other file icon

    - #### FRONT_COVER

          public static final PictureType FRONT_COVER

      CD Cover (front)

    - #### BACK_COVER

          public static final PictureType BACK_COVER

      CD Cover (back)

    - #### LEAFLET_PAGE

          public static final PictureType LEAFLET_PAGE

      CD leaflet page

    - #### MEDIA

          public static final PictureType MEDIA

      Media (eg lable side of CD)

    - #### LEAD_ARTIST

          public static final PictureType LEAD_ARTIST

      Lead artist/lead performer/soloist

    - #### ARTIST

          public static final PictureType ARTIST

      Artist/performer

    - #### CONDUCTOR

          public static final PictureType CONDUCTOR

      Conductor

    - #### BAND

          public static final PictureType BAND

      Band/Orchestra

    - #### COMPOSER

          public static final PictureType COMPOSER

      Composer

    - #### LYRICIST

          public static final PictureType LYRICIST

      Lyricist/text writer

    - #### RECORDING_LOCATION

          public static final PictureType RECORDING_LOCATION

      Recording Location

    - #### DURING_RECORDING

          public static final PictureType DURING_RECORDING

      During recording

    - #### DURING_PERFORMANCE

          public static final PictureType DURING_PERFORMANCE

      During performance

    - #### SCREEN_CAPTURE

          public static final PictureType SCREEN_CAPTURE

      Movie/video screen capture

    - #### INVALID

          public static final PictureType INVALID

      A bright coloured fish

    - #### ILLUSTRATION

          public static final PictureType ILLUSTRATION

      Illustration

    - #### BAND_LOGO

          public static final PictureType BAND_LOGO

      Band/artist logotype

    - #### PUBLISHER_LOGO

          public static final PictureType PUBLISHER_LOGO

      Publisher/Studio logotype

  - ### Method Detail

    - #### values

          public static PictureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PictureType c : PictureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PictureType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the picture type.
      Returns:
        the description of the picture type.

    - #### valueOf

          public static PictureType valueOf(byte pictureType)
                                     throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding picture type enum.
      Parameters:
        `pictureType` - integral value to be converted to a picture type enum.
      Returns:
        a picture type enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid picture type.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the picture type enum.
      Overrides:
        `toString` in class `java.lang.Enum<PictureType>`
      Returns:
        a string representation of the picture type enum.